com.google.gwt.i18n.shared

## Class WordCountDirectionEstimator

- java.lang.Object
- - com.google.gwt.i18n.shared.DirectionEstimator
  - - com.google.gwt.i18n.shared.WordCountDirectionEstimator

    public class WordCountDirectionEstimator
    extends DirectionEstimator

Direction estimator that uses the "word count" heuristic.

Note: this is probably the recommended estimator for most use cases.

### Constructor Summary

Constructors
Constructor and Description
`WordCountDirectionEstimator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`HasDirection.Direction` `estimateDirection(java.lang.String str)` Estimates the direction of a given string using the "word count" heuristic, as defined at `BidiUtils.estimateDirection(java.lang.String)`.
`static WordCountDirectionEstimator` `get()` Get an instance of WordCountDirectionEstimator.

### Methods inherited from class com.google.gwt.i18n.shared.DirectionEstimator

`estimateDirection, estimateDirection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WordCountDirectionEstimator

    public WordCountDirectionEstimator()

### Method Detail

#### get

    public static WordCountDirectionEstimator get()

Get an instance of WordCountDirectionEstimator.

Returns:
  An instance of WordCountDirectionEstimator.

#### estimateDirection

    public HasDirection.Direction estimateDirection(java.lang.String str)

Estimates the direction of a given string using the "word count" heuristic, as defined at `BidiUtils.estimateDirection(java.lang.String)`.

Specified by:
  `estimateDirection` in class `DirectionEstimator`
Parameters:
  `str` - Input string.
Returns:
  Direction The estimated direction of `str`.